<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2021 Honor Inc.
only support these sensors
sensor_name ,  type,   description
 system_h   ,    0 ,   board high temperature area
 pa_0       ,    1 ,   major pa
 charger    ,    2 ,   charge ic
 usb        ,    3 ,   USB
 cluster0   ,    4 ,   cpu little core
 cluster1   ,    5 ,   cpu middle core
 gpu        ,    6 ,   gpu core
 modem      ,    7 ,   modem
 ddr        ,    8 ,   ddr
 battery    ,    9 ,   battery
 lcd        ,    10,   display screen
 tp         ,    11,   touch screen
 system_l   ,    12,   board low temperature area
 rfboard    ,    13,   mobile cool area
 wireless   ,    14,   wireless charge ic
 pa_1       ,    15,   minor pa
 dcxo_0     ,    16,   major crystal oscillator
 dcxo_1     ,    17,   minor crystal oscillator
 camera_0   ,    18,   back camera
 camera_1   ,    19,   front camera
 codec      ,    20,   codec

 shell_frame,    22,   frame shell
 ambient_v1 ,    23,   ambient v1.0
 ambient    ,    24,   ambient v2
 ir         ,    25,   ir
 dot        ,    26,   dot
 flash_led  ,    27,   flash led
 shell_front,    28,   front shell
 shell_back ,    29,   back shell
 usb_port   ,    30,   accurate USB
 supply_avg ,    31, average value of battery supply
 "supply_peak,   32, peak value of battery supply
 bat_0      ,    33, battery_0 of dual-battery
 bat_1      ,    34, battery_1 of dual-battery
 pa_2       ,    35, sub pa
 pa_3       ,    36, sub pa
 pa_4       ,    37, sub pa
 mmw_0      ,    38, mmw major pa
 mmw_1      ,    39, mmw minor pa
 shell_0    ,    40, shell v3.0
 shell_1    ,    41, shell v3.0
 shell_2    ,    42, shell v3.0
 shell_3    ,    43, shell v3.0
 shell_4    ,    44, shell v3.0
 shell_5    ,    45, shell v3.0
 cluster2   ,    46, acpu big cpu core
 msm-therm-adc,  47, ap zone on Qcom platform
 msm-therm  ,    48, ap zone on Qcom platform
 chg-therm-adc,  49, charge ic on Qcom platform
 pa-therm0  ,    50, pa on Qcom platform
 pa_therm0  ,    51, pa on Qcom platform
 mtktsAP    ,    52, ap zone on mtk platform
 mtkts_chargerntc, 53, charge ic on mtk platform
 mtktsbtsmdpa,   54, pa on mtk platform
 mtkts_usbntc,   55, usb on mtk platform
 mtktsbtsnrpa,   56 5g pa mtk platform
-->
<thermal version="6.10.21.100" product="ADT">

<!--配置需要上传的温度属性信息-->
<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="13" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="0" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<ambient_calculate_coef>
    <debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>100</tau>
    <epsilon>1</epsilon>
    <interval>200</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>3603.7475</para_init_a>
    <para_init_b>49.8127</para_init_b>
    <para_ac_a>-6388.3643</para_ac_a>
    <para_ac_b>-0.1457</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>-6191.5029</para_dc_a>
    <para_dc_b>-0.1411</para_dc_b>
    <para_dc_cur>-2.0896</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800000</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="battery" alpha="1.2987" beta="0.9208"/>
    <sensor1 type="battery" alpha="0" beta="0"/>
    <sensor2 type="system_h" alpha="-0.2729" beta="-0.1378"/>
    <sensor3 type="charger" alpha="-0.0133" beta="0.2189"/>
</ambient_calculate_coef>

<shell_calculate_coef>
    <shell_count>3</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_frame">
        <bat_bias>2000</bat_bias>
        <sensor_count>5</sensor_count>
        <const_coef>-2803</const_coef>
        <coef_count>6</coef_count>
        <sensor0 name="rfboard" type="ntc" coef="579784,211485,54479,-68765,-199941,-477209"/>
        <sensor1 name="system_h" type="ntc" coef="3626,-4421,-3430,-1870,2170,8954"/>
        <sensor2 name="charger" type="ntc" coef="-68889,-4660,-4090,-7284,6733,70827"/>
        <sensor3 name="dcxo_0" type="ntc" coef="33050,25321,23286,13824,-6534,-36915"/>
        <sensor4 name="usb_port" type="ntc" coef="-158950,-181628,-69712,68823,164058,133349"/>
    </shell_coef0>
    <shell_coef1 name="shell_front">
        <bat_bias>2000</bat_bias>
        <sensor_count>5</sensor_count>
        <const_coef>-377</const_coef>
        <coef_count>6</coef_count>
        <sensor0 name="rfboard" type="ntc" coef="233880,47328,3007,-22020,-54133,-138278"/>
        <sensor1 name="system_h" type="ntc" coef="24920,8016,-3661,-2034,-2062,-18524"/>
        <sensor2 name="charger" type="ntc" coef="-69027,8893,4365,2068,4919,52068"/>
        <sensor3 name="dcxo_0" type="ntc" coef="-39882,10831,21989,14414,10362,14517"/>
        <sensor4 name="usb_port" type="ntc" coef="27325,-44190,-24002,7417,30330,-10369"/>
    </shell_coef1>
    <shell_coef2 name="shell_back">
        <bat_bias>2000</bat_bias>
        <sensor_count>5</sensor_count>
        <const_coef>-2661</const_coef>
        <coef_count>6</coef_count>
        <sensor0 name="rfboard" type="ntc" coef="282780,81991,20817,-20521,-81996,-215281"/>
        <sensor1 name="system_h" type="ntc" coef="22110,2462,-5220,-1021,-6230,-15622"/>
        <sensor2 name="charger" type="ntc" coef="-25804,5033,-6080,-3592,3639,29565"/>
        <sensor3 name="dcxo_0" type="ntc" coef="-27807,514,21983,15447,16751,24996"/>
        <sensor4 name="usb_port" type="ntc" coef="-95616,-82842,-27964,15412,63836,113284"/>
        </shell_coef2>
</shell_calculate_coef>


</thermal>